Page MenuHomePhabricator

GeoData should pull coordinates from Wikidata on sites with the Wikibase Client
Open, HighPublic

Description

The "nearby" function works properly when the locale of my Android phone is English, Russian, Polish or Spanish. If the locale is Hebrew, Czech or Catalan, I see the map, but I don't see any article markers.

It may be a bug in the app itself, but it's possible that the Wikipedias in these languages use nononstandard tagging.

Details

Reference
bz33704
Related Gerrit Patches:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

It's not enabled anywhere right now - Cirrus is disabled due to issues (see operations channel) and therefore GeoData is not enabled.

https://it.wikivoyage.org and other language versions are suffering majors issues due to the multiple visualization of the #coordinates: code (see bug 72559). Please fix it asap.

Amire80 renamed this task from the nearby function doesn't work in some locales to the nearby function doesn't work in some locales in the Android app.Dec 11 2014, 10:00 PM
Amire80 updated the task description. (Show Details)
Amire80 set Security to None.

I can't quote Amir's post giving w:en:Ora,_Israel as an example due to https://secure.phabricator.com/T6736

But anyway, it looks like the hewiki equivalent of that page is called "אורה"

enwiki API result: https://en.wikipedia.org/w/api.php?action=query&list=geosearch&gspage=Ora,_Israel&gsradius=1000 (a result)
hewiki API result: https://he.wikipedia.org/w/api.php?action=query&list=geosearch&gspage=%D7%90%D7%95%D7%A8%D7%94&gsradius=1000 ("Page coordinates unknown")

So this is either an issue with Extension:GeoData, or hewiki is not using {{#coordinates}} in it's coordinates templates where it should be.

OK, so the {{#coordinates}} magic word was added today by the ever-excellent @eranroz, but I still don't see anything in the app. Does it have to wait for a few hours or days for caching or updating or something like that?

@Amire80 - I just fixed it now. there was typo in {{coord}} template in hewiki

Looks like the hewiki query returns no results now (instead of erroring) - but it works for other cities: https://he.wikipedia.org/w/api.php?action=query&list=geosearch&gspage=%D7%99%D7%A8%D7%95%D7%A9%D7%9C%D7%99%D7%9D&gsradius=1000&continue=

Amir, can you check that you get some results? If it works then we've narrowed this down to a problem with templates on the wikis rather than the app or GeoData itself, so this would be resolved invalid.

Yeah, it works now.

I wonder whether this should stay open though... the problem is real even if the communities can fix it.

Amire80 closed this task as Declined.Dec 15 2014, 4:40 PM
Amire80 claimed this task.

And wondering a bit more, why does the app use the template that must be maintained in 289 languages if the coordinates can be stored in Wikidata, and already are stored for a lot of places?

He7d3r added a subscriber: He7d3r.Dec 15 2014, 4:52 PM

The app does not care where the coordinates come from, it just queries the API. The API is provided by a MediaWiki extension.

Also, you might want to see https://gerrit.wikimedia.org/r/165869/ for the Wikidata idea.

Nemo_bis added a subscriber: Nemo_bis.EditedDec 15 2014, 5:23 PM

Weird, did he.wiki miss my 2013-06-10 notification? I can't find it in [[he:template talk:Coord]] nor contribs.

I think it was only on IRC; but MaxSem, recently, when asked why GeoData doesn't use Wikidata, answered that's simply because Wikidata didn't quite exist at the time.

That said, Wikipedias of a size similar to he.wiki, like fi.wiki, were recently able to increase GeoData records by 100-200 % with some template tweaks taking few days of work. There is some 30 % total work which needs one-by-one editing of articles, but that can be left as last. We could ask MaxSem again for a list of which wikis are (not) using GeoData most: I think last time was many months ago.

Nemo_bis renamed this task from the nearby function doesn't work in some locales in the Android app to The nearby function doesn't work because of incomplete GeoData in some subdomains.Dec 15 2014, 5:25 PM
Nemo_bis reopened this task as Open.
Nemo_bis reassigned this task from Amire80 to MaxSem.
Nemo_bis removed a project: I18n.

Change 165869 had a related patch set uploaded (by Nemo bis):
Pull primary coordinates from Wikidata if none are present locally

https://gerrit.wikimedia.org/r/165869

Patch-For-Review

Krenair renamed this task from The nearby function doesn't work because of incomplete GeoData in some subdomains to GeoData should pull coordinates from Wikidata.Dec 15 2014, 5:31 PM
Krenair added a project: Wikidata.

This one is much more detailed, for what it's worth. T75482 only has the description "Make Wikibase add coordinates to GeoData", which is not entirely clear to me.

Multichill renamed this task from GeoData should pull coordinates from Wikidata to GeoData should pull coordinates from Wikidata on sites with the Wikibase Client.Dec 27 2014, 6:43 PM

Updated both bugs to make the distinction. This bug is for sites like the Hebrew Wikipedia where the extension should pull data from Wikidata. The other bug is to get https://www.wikidata.org/wiki/Special:Nearby to work based on data in Wikidata.

This bug is for sites like the Hebrew Wikipedia where the extension should pull data from Wikidata.

More precisely, it should pull data from Wikidata as a fallback when local data is not available for any reason. The way I envision it, most data should come from Wikidata and not duplicated locally, but sometimes communities will want to have a different local value.

MnemonicFlow added a subscriber: MnemonicFlow.
Restricted Application added subscribers: matej_suchanek, Aklapper. · View Herald TranscriptAug 8 2015, 8:28 AM
jeremyb added a subscriber: jeremyb.Oct 1 2015, 3:23 AM

Around a year ago i create T89703 according to the missing nearby feature. It is somehow a duplicate of this ticket. Just from experience i learnt that it is very hard to discuss and motivate local admins in the different wikis to work on required changes to that the coordinates are properly exposed. Only in Armenian Wikipedia i reached that goal with help of a use i know very well. That is the reason why i gave up and proposed the following four approaches to tackle the problem :

  1. Someone with more power than me pushes/motivates/supports local admins of the related Wikis to do the required changes in there templates
  2. Coordinates template is somehow standardized so that it must be used on every Wiki
  3. Wiki-Api returns available coordinates of the related Wikidata item if no coordinates on Wikipedia is available
  4. Wikipedia App uses Wikidata coordinates if no coordinates on Wikipedia is available

Realistically, I think only the approach 3 and 4 could fix this problem in a reasonable time. Hope that someone could work on this in the next time because i think it is an important feature especially for people not speaking the big languages.

Realistically, I think only the approach 3 and 4 could fix this problem in a reasonable time.

Indeed, (3) is the way.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 11:40 PM
TheDJ added a subscriber: TheDJ.Sep 25 2017, 2:50 PM

Note to remember that this should not be the sole way of adding coordinates, as communities continue to be hesitant about Wikidata, esp. the larger ones.

Note to remember that this should not be the sole way of adding coordinates, as communities continue to be hesitant about Wikidata, esp. the larger ones.

Agree. Should be like the interwiki's. The local interwiki links still override whatever sitelink is on Wikidata.

FYI: I have suggested a lightening talk about Coordinates and WIkidata/Wikipedia on WikidataCon 2017 in Berlin please support it and join with suggestions of user cases etc...

LGoto closed this task as Declined.Apr 4 2018, 5:03 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 4 2018, 5:03 PM
eranroz reopened this task as Open.EditedApr 4 2018, 5:08 PM

@LGoto , is it fixed?
I don't see @MaxSem fix ( https://gerrit.wikimedia.org/r/#/c/165869/3 ) as merged and I don't see any reason for closing it

Closed as part of board grooming process.

What are you doing? I see you closed and declined a lot of tasks that are on multiple boards. You seem to be overzealous in your clean up effort and are probably unintentionally offending a lot of volunteers in the process. You should take more care with your grooming. You can kick things of your board if you have no plans on working on it or you can add a swim lane for things your team is not going to work on, but might be open for other teams/volunteers to work on.

What are you doing? I see you closed and declined a lot of tasks that are on multiple boards. You seem to be overzealous in your clean up effort and are probably unintentionally offending a lot of volunteers in the process. You should take more care with your grooming. You can kick things of your board if you have no plans on working on it or you can add a swim lane for things your team is not going to work on, but might be open for other teams/volunteers to work on.

I don't see the harm. Phabricator is just like a wiki: anything that can be done can also be undone. If you think it's wrong, undo it or talk about it. No big deal. Just don't revert war. ;-)

Change 165869 abandoned by MaxSem:
Pull primary coordinates from Wikidata if none are present locally

https://gerrit.wikimedia.org/r/165869

Restricted Application added a project: Discovery-Search. · View Herald TranscriptFeb 1 2019, 6:10 AM
Restricted Application added a subscriber: Urbanecm. · View Herald Transcript
matej_suchanek removed a subscriber: wikibugs-l-list.
debt moved this task from needs triage to Geodata on the Discovery-Search board.Feb 7 2019, 6:55 PM